<?xml version="1.0" encoding="utf-8"?><?xml-stylesheet type="text/xsl" href="rss.xsl"?>
<rss version="2.0" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:content="http://purl.org/rss/1.0/modules/content/">
    <channel>
        <title>Fenergo Document Portal - API Updates</title>
        <link>https://docs.fenergox.com/release-notes/api-changelog</link>
        <description>Stay up to date on our APIs available on the Fenergo SaaS Platform</description>
        <lastBuildDate>Wed, 06 May 2026 00:00:00 GMT</lastBuildDate>
        <docs>https://validator.w3.org/feed/docs/rss2.html</docs>
        <generator>https://github.com/jpmonette/feed</generator>
        <language>en</language>
        <item>
            <title><![CDATA[Data Protection – Added]]></title>
            <link>https://docs.fenergox.com/release-notes/api-changelog/2026/05/06/data-protection/Data-Protection-Added</link>
            <guid>https://docs.fenergox.com/release-notes/api-changelog/2026/05/06/data-protection/Data-Protection-Added</guid>
            <pubDate>Wed, 06 May 2026 00:00:00 GMT</pubDate>
            <description><![CDATA[Added new endpoints for Legal Hold management.]]></description>
            <content:encoded><![CDATA[<p>Added new endpoints for Legal Hold management.</p>
<p>Legal hold allows placing an entity under a legal hold, which prevents data deletion processes from proceeding.</p>
<h2 class="anchor anchorTargetStickyNavbar_Vzrq" id="data-protection-command-api">Data Protection Command API<a href="https://docs.fenergox.com/release-notes/api-changelog/2026/05/06/data-protection/Data-Protection-Added#data-protection-command-api" class="hash-link" aria-label="Direct link to Data Protection Command API" title="Direct link to Data Protection Command API" translate="no">​</a></h2>
<ul>
<li class="">POST <code>/dataprotectioncommand/api/legalholdentity/{id}</code>
<ul>
<li class="">Creates a new legal hold for the specified entity.</li>
<li class="">Requires <code>LegalHoldEdit</code> permission.</li>
<li class="">Example Payload</li>
</ul>
</li>
</ul>
<div class="language-json codeBlockContainer_Ckt0 theme-code-block" style="--prism-background-color:hsl(230, 1%, 98%);--prism-color:hsl(230, 8%, 24%)"><div class="codeBlockContent_QJqH"><pre tabindex="0" class="prism-code language-json codeBlock_bY9V thin-scrollbar" style="background-color:hsl(230, 1%, 98%);color:hsl(230, 8%, 24%)"><code class="codeBlockLines_e6Vv"><span class="token-line" style="color:hsl(230, 8%, 24%)"><span class="token punctuation" style="color:hsl(119, 34%, 47%)">{</span><span class="token plain"></span><br></span><span class="token-line" style="color:hsl(230, 8%, 24%)"><span class="token plain">    </span><span class="token property" style="color:hsl(5, 74%, 59%)">"data"</span><span class="token operator" style="color:hsl(221, 87%, 60%)">:</span><span class="token plain"> </span><span class="token punctuation" style="color:hsl(119, 34%, 47%)">{</span><span class="token plain"></span><br></span><span class="token-line" style="color:hsl(230, 8%, 24%)"><span class="token plain">        </span><span class="token property" style="color:hsl(5, 74%, 59%)">"reasonId"</span><span class="token operator" style="color:hsl(221, 87%, 60%)">:</span><span class="token plain"> </span><span class="token string" style="color:hsl(119, 34%, 47%)">"3fa85f64-5717-4562-b3fc-2c963f66afa6"</span><span class="token punctuation" style="color:hsl(119, 34%, 47%)">,</span><span class="token plain"></span><br></span><span class="token-line" style="color:hsl(230, 8%, 24%)"><span class="token plain">        </span><span class="token property" style="color:hsl(5, 74%, 59%)">"details"</span><span class="token operator" style="color:hsl(221, 87%, 60%)">:</span><span class="token plain"> </span><span class="token string" style="color:hsl(119, 34%, 47%)">"Legal investigation ongoing"</span><span class="token punctuation" style="color:hsl(119, 34%, 47%)">,</span><span class="token plain"></span><br></span><span class="token-line" style="color:hsl(230, 8%, 24%)"><span class="token plain">        </span><span class="token property" style="color:hsl(5, 74%, 59%)">"durationMonths"</span><span class="token operator" style="color:hsl(221, 87%, 60%)">:</span><span class="token plain"> </span><span class="token number" style="color:hsl(35, 99%, 36%)">12</span><span class="token punctuation" style="color:hsl(119, 34%, 47%)">,</span><span class="token plain"></span><br></span><span class="token-line" style="color:hsl(230, 8%, 24%)"><span class="token plain">        </span><span class="token property" style="color:hsl(5, 74%, 59%)">"responsibleTeamId"</span><span class="token operator" style="color:hsl(221, 87%, 60%)">:</span><span class="token plain"> </span><span class="token string" style="color:hsl(119, 34%, 47%)">"3fa85f64-5717-4562-b3fc-2c963f66afa6"</span><span class="token punctuation" style="color:hsl(119, 34%, 47%)">,</span><span class="token plain"></span><br></span><span class="token-line" style="color:hsl(230, 8%, 24%)"><span class="token plain">        </span><span class="token property" style="color:hsl(5, 74%, 59%)">"startDate"</span><span class="token operator" style="color:hsl(221, 87%, 60%)">:</span><span class="token plain"> </span><span class="token string" style="color:hsl(119, 34%, 47%)">"2026-03-03T00:00:00Z"</span><span class="token plain"></span><br></span><span class="token-line" style="color:hsl(230, 8%, 24%)"><span class="token plain">    </span><span class="token punctuation" style="color:hsl(119, 34%, 47%)">}</span><span class="token plain"></span><br></span><span class="token-line" style="color:hsl(230, 8%, 24%)"><span class="token plain"></span><span class="token punctuation" style="color:hsl(119, 34%, 47%)">}</span><br></span></code></pre></div></div>
<ul>
<li class="">PUT <code>/dataprotectioncommand/api/legalholdentity/{id}</code>
<ul>
<li class="">Updates an existing legal hold for the specified entity.</li>
<li class="">Requires <code>LegalHoldEdit</code> permission.</li>
<li class="">Example Payload</li>
</ul>
</li>
</ul>
<div class="language-json codeBlockContainer_Ckt0 theme-code-block" style="--prism-background-color:hsl(230, 1%, 98%);--prism-color:hsl(230, 8%, 24%)"><div class="codeBlockContent_QJqH"><pre tabindex="0" class="prism-code language-json codeBlock_bY9V thin-scrollbar" style="background-color:hsl(230, 1%, 98%);color:hsl(230, 8%, 24%)"><code class="codeBlockLines_e6Vv"><span class="token-line" style="color:hsl(230, 8%, 24%)"><span class="token punctuation" style="color:hsl(119, 34%, 47%)">{</span><span class="token plain"></span><br></span><span class="token-line" style="color:hsl(230, 8%, 24%)"><span class="token plain">    </span><span class="token property" style="color:hsl(5, 74%, 59%)">"data"</span><span class="token operator" style="color:hsl(221, 87%, 60%)">:</span><span class="token plain"> </span><span class="token punctuation" style="color:hsl(119, 34%, 47%)">{</span><span class="token plain"></span><br></span><span class="token-line" style="color:hsl(230, 8%, 24%)"><span class="token plain">        </span><span class="token property" style="color:hsl(5, 74%, 59%)">"reasonId"</span><span class="token operator" style="color:hsl(221, 87%, 60%)">:</span><span class="token plain"> </span><span class="token string" style="color:hsl(119, 34%, 47%)">"3fa85f64-5717-4562-b3fc-2c963f66afa6"</span><span class="token punctuation" style="color:hsl(119, 34%, 47%)">,</span><span class="token plain"></span><br></span><span class="token-line" style="color:hsl(230, 8%, 24%)"><span class="token plain">        </span><span class="token property" style="color:hsl(5, 74%, 59%)">"details"</span><span class="token operator" style="color:hsl(221, 87%, 60%)">:</span><span class="token plain"> </span><span class="token string" style="color:hsl(119, 34%, 47%)">"Updated legal investigation details"</span><span class="token punctuation" style="color:hsl(119, 34%, 47%)">,</span><span class="token plain"></span><br></span><span class="token-line" style="color:hsl(230, 8%, 24%)"><span class="token plain">        </span><span class="token property" style="color:hsl(5, 74%, 59%)">"durationMonths"</span><span class="token operator" style="color:hsl(221, 87%, 60%)">:</span><span class="token plain"> </span><span class="token number" style="color:hsl(35, 99%, 36%)">24</span><span class="token punctuation" style="color:hsl(119, 34%, 47%)">,</span><span class="token plain"></span><br></span><span class="token-line" style="color:hsl(230, 8%, 24%)"><span class="token plain">        </span><span class="token property" style="color:hsl(5, 74%, 59%)">"responsibleTeamId"</span><span class="token operator" style="color:hsl(221, 87%, 60%)">:</span><span class="token plain"> </span><span class="token string" style="color:hsl(119, 34%, 47%)">"3fa85f64-5717-4562-b3fc-2c963f66afa6"</span><span class="token plain"></span><br></span><span class="token-line" style="color:hsl(230, 8%, 24%)"><span class="token plain">    </span><span class="token punctuation" style="color:hsl(119, 34%, 47%)">}</span><span class="token plain"></span><br></span><span class="token-line" style="color:hsl(230, 8%, 24%)"><span class="token plain"></span><span class="token punctuation" style="color:hsl(119, 34%, 47%)">}</span><br></span></code></pre></div></div>
<ul>
<li class="">POST <code>/dataprotectioncommand/api/legalholdentity/{id}/delete</code>
<ul>
<li class="">Removes the legal hold from the specified entity.</li>
<li class="">Requires <code>LegalHoldDelete</code> permission.</li>
<li class="">Example Payload</li>
</ul>
</li>
</ul>
<div class="language-json codeBlockContainer_Ckt0 theme-code-block" style="--prism-background-color:hsl(230, 1%, 98%);--prism-color:hsl(230, 8%, 24%)"><div class="codeBlockContent_QJqH"><pre tabindex="0" class="prism-code language-json codeBlock_bY9V thin-scrollbar" style="background-color:hsl(230, 1%, 98%);color:hsl(230, 8%, 24%)"><code class="codeBlockLines_e6Vv"><span class="token-line" style="color:hsl(230, 8%, 24%)"><span class="token punctuation" style="color:hsl(119, 34%, 47%)">{</span><span class="token plain"></span><br></span><span class="token-line" style="color:hsl(230, 8%, 24%)"><span class="token plain">    </span><span class="token property" style="color:hsl(5, 74%, 59%)">"data"</span><span class="token operator" style="color:hsl(221, 87%, 60%)">:</span><span class="token plain"> </span><span class="token punctuation" style="color:hsl(119, 34%, 47%)">{</span><span class="token plain"></span><br></span><span class="token-line" style="color:hsl(230, 8%, 24%)"><span class="token plain">        </span><span class="token property" style="color:hsl(5, 74%, 59%)">"removalReason"</span><span class="token operator" style="color:hsl(221, 87%, 60%)">:</span><span class="token plain"> </span><span class="token string" style="color:hsl(119, 34%, 47%)">"Legal investigation concluded"</span><span class="token plain"></span><br></span><span class="token-line" style="color:hsl(230, 8%, 24%)"><span class="token plain">    </span><span class="token punctuation" style="color:hsl(119, 34%, 47%)">}</span><span class="token plain"></span><br></span><span class="token-line" style="color:hsl(230, 8%, 24%)"><span class="token plain"></span><span class="token punctuation" style="color:hsl(119, 34%, 47%)">}</span><br></span></code></pre></div></div>
<h2 class="anchor anchorTargetStickyNavbar_Vzrq" id="data-protection-query-api">Data Protection Query API<a href="https://docs.fenergox.com/release-notes/api-changelog/2026/05/06/data-protection/Data-Protection-Added#data-protection-query-api" class="hash-link" aria-label="Direct link to Data Protection Query API" title="Direct link to Data Protection Query API" translate="no">​</a></h2>
<ul>
<li class="">
<p>GET <code>/dataprotectionquery/api/legalholds/entity/{id}</code></p>
<ul>
<li class="">Returns the legal hold record (active or expired) for the given entity, or 204 No Content if none exists.</li>
<li class="">Requires <code>LegalHoldAccess</code> permission.</li>
</ul>
</li>
<li class="">
<p>GET <code>/dataprotectionquery/api/legalholds/entity/{id}/status</code></p>
<ul>
<li class="">Returns the status (<code>Active</code> or <code>Expired</code>) of the legal hold for the given entity, or 204 No Content if none exists.</li>
<li class="">Requires <code>LegalHoldAccess</code>, <code>EntityDataAccessAndSearch</code>, or <code>EntityGroupManagementAccessAndSearch</code> permission.</li>
</ul>
</li>
<li class="">
<p>GET <code>/dataprotectionquery/api/legalholds/active</code></p>
<ul>
<li class="">Returns a paginated list of all active legal holds (expiry date in the future) for the tenant.</li>
<li class="">Supports <code>paginationToken</code> and <code>limit</code> (default: 100, max: 1000) query parameters.</li>
<li class="">Requires <code>LegalHoldAccess</code> permission.</li>
</ul>
</li>
<li class="">
<p>GET <code>/dataprotectionquery/api/legalholds/expired</code></p>
<ul>
<li class="">Returns a paginated list of all expired legal holds (expiry date today or in the past) for the tenant.</li>
<li class="">Supports <code>paginationToken</code> and <code>limit</code> (default: 100, max: 1000) query parameters.</li>
<li class="">Requires <code>LegalHoldAccess</code> permission.</li>
</ul>
</li>
</ul>]]></content:encoded>
            <category>Data Protection</category>
        </item>
        <item>
            <title><![CDATA[Policy – Changed]]></title>
            <link>https://docs.fenergox.com/release-notes/api-changelog/2026/04/17/policy/Policy-Changed</link>
            <guid>https://docs.fenergox.com/release-notes/api-changelog/2026/04/17/policy/Policy-Changed</guid>
            <pubDate>Fri, 17 Apr 2026 00:00:00 GMT</pubDate>
            <description><![CDATA[Extended the requirement set retrieval API to support a configurable limit on the number of versions returned per jurisdiction.]]></description>
            <content:encoded><![CDATA[<p>Extended the requirement set retrieval API to support a configurable limit on the number of versions returned per jurisdiction.</p>
<p>New query parameter <strong>versionsLimit</strong> (optional): An integer to specify the maximum number of versions per jurisdiction. If not provided, it returns all.</p>
<h2 class="anchor anchorTargetStickyNavbar_Vzrq" id="affected-endpoints">Affected Endpoints<a href="https://docs.fenergox.com/release-notes/api-changelog/2026/04/17/policy/Policy-Changed#affected-endpoints" class="hash-link" aria-label="Direct link to Affected Endpoints" title="Direct link to Affected Endpoints" translate="no">​</a></h2>
<ul>
<li class="">GET /policyquery/api/v1/requirement-set endpoint.</li>
</ul>]]></content:encoded>
            <category>Policy</category>
        </item>
        <item>
            <title><![CDATA[TM Observability Batch Transaction statuses - Changed]]></title>
            <link>https://docs.fenergox.com/release-notes/api-changelog/2026/04/02/tm-observability/TM-Observability-Batch-Statuses-Added</link>
            <guid>https://docs.fenergox.com/release-notes/api-changelog/2026/04/02/tm-observability/TM-Observability-Batch-Statuses-Added</guid>
            <pubDate>Thu, 02 Apr 2026 00:00:00 GMT</pubDate>
            <description><![CDATA[The batch transaction response status now includes two additional intermediate values:]]></description>
            <content:encoded><![CDATA[<p>The batch transaction response status now includes two additional intermediate values:</p>
<ul>
<li class=""><code>pending_ingestion</code></li>
<li class=""><code>ingestion_in_progress</code></li>
</ul>
<p>This applies to batch transaction status responses in the Observability API.</p>
<ul>
<li class="">GET <code>/api/v1/batch-transactions/batches</code></li>
</ul>]]></content:encoded>
            <category>TM Observability</category>
        </item>
        <item>
            <title><![CDATA[TM Observability Rule Execution Summary filtering by execution_id – Added]]></title>
            <link>https://docs.fenergox.com/release-notes/api-changelog/2026/03/27/tm-observability/TM-Observability-Rule-Execution-Filter-Execution-Id-Added</link>
            <guid>https://docs.fenergox.com/release-notes/api-changelog/2026/03/27/tm-observability/TM-Observability-Rule-Execution-Filter-Execution-Id-Added</guid>
            <pubDate>Fri, 27 Mar 2026 00:00:00 GMT</pubDate>
            <description><![CDATA[Poll the execution status summary from the Observability API using the execution_id. This works for both tenants using either the Rule Rerun API or the Rule Execution API endpoints]]></description>
            <content:encoded><![CDATA[<p>Poll the execution status summary from the Observability API using the <code>execution_id</code>. This works for both tenants using either the <a class="" href="https://docs.fenergox.com/api-docs/transaction-monitoring-apis/transactions/rules-rerun-api">Rule Rerun API</a> or the <a class="" href="https://docs.fenergox.com/api-docs/transaction-monitoring-apis/batch-transactions/rule-execution-api">Rule Execution API</a> endpoints</p>
<ul>
<li class="">GET <code>/api/v1/rules/execution?execution_id={execution_id}</code></li>
</ul>]]></content:encoded>
            <category>TM Observability</category>
        </item>
        <item>
            <title><![CDATA[TM Rule Execution Status – Added]]></title>
            <link>https://docs.fenergox.com/release-notes/api-changelog/2026/03/27/tm-rule-execution/TM-Rule-Execution-Status-Added</link>
            <guid>https://docs.fenergox.com/release-notes/api-changelog/2026/03/27/tm-rule-execution/TM-Rule-Execution-Status-Added</guid>
            <pubDate>Fri, 27 Mar 2026 00:00:00 GMT</pubDate>
            <description><![CDATA[Poll the rule execution status summary using the execution_id retrieved only when using the Rule Execution API endpoint]]></description>
            <content:encoded><![CDATA[<p>Poll the rule execution status summary using the <code>execution_id</code> retrieved only when using the <a class="" href="https://docs.fenergox.com/api-docs/transaction-monitoring-apis/batch-transactions/rule-execution-api">Rule Execution API</a> endpoint</p>
<ul>
<li class="">GET <code>/api/rules/status/{execution_id}</code></li>
</ul>]]></content:encoded>
            <category>TM Rule Execution</category>
        </item>
        <item>
            <title><![CDATA[TM Transaction Batch Upload – Deprecated batch status fields removed]]></title>
            <link>https://docs.fenergox.com/release-notes/api-changelog/2026/03/25/tm-trx-batch-upload/Tm-Trx-Batch-Status-Deprecated-Fields-Removed</link>
            <guid>https://docs.fenergox.com/release-notes/api-changelog/2026/03/25/tm-trx-batch-upload/Tm-Trx-Batch-Status-Deprecated-Fields-Removed</guid>
            <pubDate>Wed, 25 Mar 2026 00:00:00 GMT</pubDate>
            <description><![CDATA[The previously deprecated failedtransactionmodificationids and progresspercentage fields are no longer returned in the batch status response.]]></description>
            <content:encoded><![CDATA[<p>The previously deprecated <code>failed_transaction_modification_ids</code> and <code>progress_percentage</code> fields are no longer returned in the batch status response.</p>
<h2 class="anchor anchorTargetStickyNavbar_Vzrq" id="affected-endpoints">Affected endpoints<a href="https://docs.fenergox.com/release-notes/api-changelog/2026/03/25/tm-trx-batch-upload/Tm-Trx-Batch-Status-Deprecated-Fields-Removed#affected-endpoints" class="hash-link" aria-label="Direct link to Affected endpoints" title="Direct link to Affected endpoints" translate="no">​</a></h2>
<ul>
<li class="">GET <code>/api/transactions/batch/status/{batch_id}</code></li>
</ul>
<h2 class="anchor anchorTargetStickyNavbar_Vzrq" id="details">Details<a href="https://docs.fenergox.com/release-notes/api-changelog/2026/03/25/tm-trx-batch-upload/Tm-Trx-Batch-Status-Deprecated-Fields-Removed#details" class="hash-link" aria-label="Direct link to Details" title="Direct link to Details" translate="no">​</a></h2>
<p>The <code>Retrieve Batch Status</code> endpoint response schema has been updated to remove the <code>failed_transaction_modification_ids</code> and <code>progress_percentage</code> fields.</p>
<p>These fields had already been deprecated and should no longer be relied upon by API consumers.</p>]]></content:encoded>
            <category>TM Trx Batch Upload</category>
        </item>
        <item>
            <title><![CDATA[TM Rule Schedule – Added]]></title>
            <link>https://docs.fenergox.com/release-notes/api-changelog/2026/03/23/tm-rule-schedule/Tm-Rule-schedule-Added</link>
            <guid>https://docs.fenergox.com/release-notes/api-changelog/2026/03/23/tm-rule-schedule/Tm-Rule-schedule-Added</guid>
            <pubDate>Mon, 23 Mar 2026 00:00:00 GMT</pubDate>
            <description><![CDATA[The Rule Schedule API provides visibility into rules execution schedule.]]></description>
            <content:encoded><![CDATA[<p>The Rule Schedule API provides visibility into rules execution schedule.</p>
<ul>
<li class="">POST <code>/api/rules/schedule</code></li>
</ul>]]></content:encoded>
            <category>TM Rule Schedule</category>
        </item>
        <item>
            <title><![CDATA[TM Transaction Batch Upload – progress_percentage field deprecated]]></title>
            <link>https://docs.fenergox.com/release-notes/api-changelog/2026/03/20/tm-trx-batch-upload/Tm-Trx-Batch-Progress-Percentage-Field-Deprecated</link>
            <guid>https://docs.fenergox.com/release-notes/api-changelog/2026/03/20/tm-trx-batch-upload/Tm-Trx-Batch-Progress-Percentage-Field-Deprecated</guid>
            <pubDate>Fri, 20 Mar 2026 00:00:00 GMT</pubDate>
            <description><![CDATA[The progress_percentage field in the batch status response has been marked as deprecated and will be removed in a future version.]]></description>
            <content:encoded><![CDATA[<p>The <code>progress_percentage</code> field in the batch status response has been marked as <strong>deprecated</strong> and will be removed in a future version.</p>
<h2 class="anchor anchorTargetStickyNavbar_Vzrq" id="affected-endpoints">Affected endpoints<a href="https://docs.fenergox.com/release-notes/api-changelog/2026/03/20/tm-trx-batch-upload/Tm-Trx-Batch-Progress-Percentage-Field-Deprecated#affected-endpoints" class="hash-link" aria-label="Direct link to Affected endpoints" title="Direct link to Affected endpoints" translate="no">​</a></h2>
<ul>
<li class="">GET <code>/api/transactions/batch/status/{batch_id}</code></li>
</ul>
<h2 class="anchor anchorTargetStickyNavbar_Vzrq" id="details">Details<a href="https://docs.fenergox.com/release-notes/api-changelog/2026/03/20/tm-trx-batch-upload/Tm-Trx-Batch-Progress-Percentage-Field-Deprecated#details" class="hash-link" aria-label="Direct link to Details" title="Direct link to Details" translate="no">​</a></h2>
<p>The <code>progress_percentage</code> field in the response schema of the <code>Retrieve Batch Status</code> endpoint is now deprecated. No functional changes have been made to the endpoint — the field continues to be returned in responses during the deprecation period but should no longer be relied upon by consumers.</p>]]></content:encoded>
            <category>TM Trx Batch Upload</category>
        </item>
        <item>
            <title><![CDATA[TM Data Export – Added]]></title>
            <link>https://docs.fenergox.com/release-notes/api-changelog/2026/03/18/tm-observability/TM-Observability-Added</link>
            <guid>https://docs.fenergox.com/release-notes/api-changelog/2026/03/18/tm-observability/TM-Observability-Added</guid>
            <pubDate>Wed, 18 Mar 2026 00:00:00 GMT</pubDate>
            <description><![CDATA[Request and retrieve data export reports for specific dates through the Transaction Monitoring Observability API.]]></description>
            <content:encoded><![CDATA[<p>Request and retrieve data export reports for specific dates through the Transaction Monitoring Observability API.</p>
<ul>
<li class="">POST <code>/api/v1/data-export/trigger</code></li>
</ul>
<p>Request a report generation for a specific date. The API returns a trigger ID that can be used to poll for completion status.</p>
<ul>
<li class="">GET <code>/api/v1/data-export/{trigger_id}</code></li>
</ul>
<p>Retrieve the generated export report using the trigger ID from the request endpoint.</p>]]></content:encoded>
            <category>TM Observability</category>
        </item>
        <item>
            <title><![CDATA[TM Transaction Batch Upload – failed_transaction_modification_ids field deprecated]]></title>
            <link>https://docs.fenergox.com/release-notes/api-changelog/2026/03/13/tm-trx-batch-upload/Tm-Trx-Batch-Status-Field-Deprecated</link>
            <guid>https://docs.fenergox.com/release-notes/api-changelog/2026/03/13/tm-trx-batch-upload/Tm-Trx-Batch-Status-Field-Deprecated</guid>
            <pubDate>Fri, 13 Mar 2026 00:00:00 GMT</pubDate>
            <description><![CDATA[The failedtransactionmodification_ids field in the batch status response has been marked as deprecated and will be removed in a future version.]]></description>
            <content:encoded><![CDATA[<p>The <code>failed_transaction_modification_ids</code> field in the batch status response has been marked as <strong>deprecated</strong> and will be removed in a future version.</p>
<h2 class="anchor anchorTargetStickyNavbar_Vzrq" id="affected-endpoints">Affected endpoints<a href="https://docs.fenergox.com/release-notes/api-changelog/2026/03/13/tm-trx-batch-upload/Tm-Trx-Batch-Status-Field-Deprecated#affected-endpoints" class="hash-link" aria-label="Direct link to Affected endpoints" title="Direct link to Affected endpoints" translate="no">​</a></h2>
<ul>
<li class="">GET <code>/api/transactions/batch/status/{batch_id}</code></li>
</ul>
<h2 class="anchor anchorTargetStickyNavbar_Vzrq" id="details">Details<a href="https://docs.fenergox.com/release-notes/api-changelog/2026/03/13/tm-trx-batch-upload/Tm-Trx-Batch-Status-Field-Deprecated#details" class="hash-link" aria-label="Direct link to Details" title="Direct link to Details" translate="no">​</a></h2>
<p>The <code>failed_transaction_modification_ids</code> field in the response schema of the <code>Retrieve Batch Status</code> endpoint is now deprecated. No functional changes have been made to the endpoint — the field continues to be returned in responses during the deprecation period but should no longer be relied upon by consumers.</p>]]></content:encoded>
            <category>TM Trx Batch Upload</category>
        </item>
        <item>
            <title><![CDATA[TM Observability – Changed]]></title>
            <link>https://docs.fenergox.com/release-notes/api-changelog/2026/03/10/tm-observability/Tm-Observability-Changed</link>
            <guid>https://docs.fenergox.com/release-notes/api-changelog/2026/03/10/tm-observability/Tm-Observability-Changed</guid>
            <pubDate>Tue, 10 Mar 2026 00:00:00 GMT</pubDate>
            <description><![CDATA[The response now includes rejectoninvalid and error message in the response for observability batch transaction API.]]></description>
            <content:encoded><![CDATA[<p>The response now includes reject_on_invalid and error message in the response for observability batch transaction API.</p>
<ul>
<li class="">GET <code>/api/v1/batch-transactions/batch</code></li>
</ul>]]></content:encoded>
            <category>TM Observability</category>
        </item>
        <item>
            <title><![CDATA[TM Transaction Batch Upload – Modification ID uniqueness validation updated]]></title>
            <link>https://docs.fenergox.com/release-notes/api-changelog/2026/03/05/tm-trx-batch-upload/Tm-Trx-Batch-Duplicate-Validation-Updated</link>
            <guid>https://docs.fenergox.com/release-notes/api-changelog/2026/03/05/tm-trx-batch-upload/Tm-Trx-Batch-Duplicate-Validation-Updated</guid>
            <pubDate>Thu, 05 Mar 2026 00:00:00 GMT</pubDate>
            <description><![CDATA[Transactions with non-unique modification IDs within a batch are marked accordingly in the validation results file, and those transactions are rejected.]]></description>
            <content:encoded><![CDATA[<p>Transactions with non-unique modification IDs within a batch are marked accordingly in the validation results file, and those transactions are rejected.</p>
<h2 class="anchor anchorTargetStickyNavbar_Vzrq" id="affected-endpoints">Affected endpoints<a href="https://docs.fenergox.com/release-notes/api-changelog/2026/03/05/tm-trx-batch-upload/Tm-Trx-Batch-Duplicate-Validation-Updated#affected-endpoints" class="hash-link" aria-label="Direct link to Affected endpoints" title="Direct link to Affected endpoints" translate="no">​</a></h2>
<ul>
<li class="">GET <code>/api/transactions/batch/validation-result/{batch_id}</code></li>
</ul>]]></content:encoded>
            <category>TM Trx Batch Upload</category>
        </item>
        <item>
            <title><![CDATA[TM Transaction Batch Upload – reject_on_invalid for batch creation updated]]></title>
            <link>https://docs.fenergox.com/release-notes/api-changelog/2026/03/04/tm-trx-batch-upload/Tm-Trx-Batch-API-update</link>
            <guid>https://docs.fenergox.com/release-notes/api-changelog/2026/03/04/tm-trx-batch-upload/Tm-Trx-Batch-API-update</guid>
            <pubDate>Wed, 04 Mar 2026 00:00:00 GMT</pubDate>
            <description><![CDATA[rejectoninvalid configuration flag moved to request body.]]></description>
            <content:encoded><![CDATA[<p><code>reject_on_invalid</code> configuration flag moved to request body.</p>
<h2 class="anchor anchorTargetStickyNavbar_Vzrq" id="affected-endpoints">Affected endpoints<a href="https://docs.fenergox.com/release-notes/api-changelog/2026/03/04/tm-trx-batch-upload/Tm-Trx-Batch-API-update#affected-endpoints" class="hash-link" aria-label="Direct link to Affected endpoints" title="Direct link to Affected endpoints" translate="no">​</a></h2>
<ul>
<li class="">GET  <code>/api/transactions/batch/generate-upload-url</code></li>
</ul>]]></content:encoded>
            <category>TM Trx Batch Upload</category>
        </item>
        <item>
            <title><![CDATA[TM Rule Rerun – Added]]></title>
            <link>https://docs.fenergox.com/release-notes/api-changelog/2026/02/23/tm-rule-rerun/Tm-Rule-Rerun-Added</link>
            <guid>https://docs.fenergox.com/release-notes/api-changelog/2026/02/23/tm-rule-rerun/Tm-Rule-Rerun-Added</guid>
            <pubDate>Mon, 23 Feb 2026 00:00:00 GMT</pubDate>
            <description><![CDATA[Trigger the execution of set of scheduled rules for a specific date]]></description>
            <content:encoded><![CDATA[<p>Trigger the execution of set of scheduled rules for a specific date</p>
<ul>
<li class="">POST <code>/api/rules/rerun</code></li>
</ul>]]></content:encoded>
            <category>TM Rule Rerun</category>
        </item>
        <item>
            <title><![CDATA[TM Transaction Batch Upload – Unique transaction validation within a batch]]></title>
            <link>https://docs.fenergox.com/release-notes/api-changelog/2026/02/17/tm-trx-batch-upload/Tm-Trx-Batch-Check-Duplicate-Trx</link>
            <guid>https://docs.fenergox.com/release-notes/api-changelog/2026/02/17/tm-trx-batch-upload/Tm-Trx-Batch-Check-Duplicate-Trx</guid>
            <pubDate>Tue, 17 Feb 2026 00:00:00 GMT</pubDate>
            <description><![CDATA[Each batch must contain only unique transaction modification IDs. If duplicate transaction modification IDs are detected, the entire batch will be rejected, regardless of the rejectoninvalid flag is set to either true or false.]]></description>
            <content:encoded><![CDATA[<p>Each batch must contain only unique transaction modification IDs. If duplicate transaction modification IDs are detected, the entire batch will be rejected, regardless of the reject_on_invalid flag is set to either true or false.</p>
<h2 class="anchor anchorTargetStickyNavbar_Vzrq" id="affected-endpoints">Affected endpoints<a href="https://docs.fenergox.com/release-notes/api-changelog/2026/02/17/tm-trx-batch-upload/Tm-Trx-Batch-Check-Duplicate-Trx#affected-endpoints" class="hash-link" aria-label="Direct link to Affected endpoints" title="Direct link to Affected endpoints" translate="no">​</a></h2>
<ul>
<li class="">GET  <code>/api/transactions/batch/status/{batch_id}</code></li>
</ul>]]></content:encoded>
            <category>TM Trx Batch Upload</category>
        </item>
        <item>
            <title><![CDATA[Data Protection – Updated]]></title>
            <link>https://docs.fenergox.com/release-notes/api-changelog/2026/02/04/data-protection/Data-Protection-Updated</link>
            <guid>https://docs.fenergox.com/release-notes/api-changelog/2026/02/04/data-protection/Data-Protection-Updated</guid>
            <pubDate>Wed, 04 Feb 2026 00:00:00 GMT</pubDate>
            <description><![CDATA[Added conditional retention tracking fields to DataDeletionProcessDto response.]]></description>
            <content:encoded><![CDATA[<p>Added conditional retention tracking fields to DataDeletionProcessDto response.</p>
<p>Data deletion process queries now return additional information about which data protection regime and conditional retention rules were applied, including the regime ID, conditional retention description, and the conditions that were evaluated during offboarding.</p>
<h2 class="anchor anchorTargetStickyNavbar_Vzrq" id="data-protection-query-api">Data Protection Query API<a href="https://docs.fenergox.com/release-notes/api-changelog/2026/02/04/data-protection/Data-Protection-Updated#data-protection-query-api" class="hash-link" aria-label="Direct link to Data Protection Query API" title="Direct link to Data Protection Query API" translate="no">​</a></h2>
<ul>
<li class="">
<p>GET <code>/dataprotectionquery/api/datadeletionprocess/{entityId}</code></p>
<ul>
<li class="">Response now includes <code>DataProtectionRegimeId</code>, <code>ConditionalRetentionDescription</code>, and <code>AppliedConditions</code> fields.</li>
</ul>
</li>
<li class="">
<p>POST <code>/dataprotectionquery/api/datadeletionprocess</code></p>
<ul>
<li class="">Response now includes <code>DataProtectionRegimeId</code>, <code>ConditionalRetentionDescription</code>, and <code>AppliedConditions</code> fields.</li>
</ul>
</li>
<li class="">
<p>GET <code>/dataprotectionquery/api/datadeletionprocess</code></p>
<ul>
<li class="">Response now includes <code>DataProtectionRegimeId</code>, <code>ConditionalRetentionDescription</code>, and <code>AppliedConditions</code> fields.</li>
</ul>
</li>
<li class="">
<p>GET <code>/dataprotectionquery/api/datadeletionprocess/paged</code></p>
<ul>
<li class="">Response now includes <code>DataProtectionRegimeId</code>, <code>ConditionalRetentionDescription</code>, and <code>AppliedConditions</code> fields.</li>
</ul>
</li>
<li class="">
<p>GET <code>/dataprotectionquery/api/datadeletionprocess/{entityId}/journey/{journeyId}</code></p>
<ul>
<li class="">Response now includes <code>DataProtectionRegimeId</code>, <code>ConditionalRetentionDescription</code>, and <code>AppliedConditions</code> fields.</li>
</ul>
</li>
</ul>]]></content:encoded>
            <category>Data Protection</category>
        </item>
        <item>
            <title><![CDATA[Data Protection – Updated]]></title>
            <link>https://docs.fenergox.com/release-notes/api-changelog/2026/01/27/data-protection/Data-Protection-Updated</link>
            <guid>https://docs.fenergox.com/release-notes/api-changelog/2026/01/27/data-protection/Data-Protection-Updated</guid>
            <pubDate>Tue, 27 Jan 2026 00:00:00 GMT</pubDate>
            <description><![CDATA[Updated validation for ConditionalRetentionPeriods in DataProtectionRegime.]]></description>
            <content:encoded><![CDATA[<p>Updated validation for ConditionalRetentionPeriods in DataProtectionRegime.</p>
<p>Enhanced validation rules for conditional retention periods when creating or updating data protection regimes.</p>
<h2 class="anchor anchorTargetStickyNavbar_Vzrq" id="data-protection-command-api">Data Protection Command API<a href="https://docs.fenergox.com/release-notes/api-changelog/2026/01/27/data-protection/Data-Protection-Updated#data-protection-command-api" class="hash-link" aria-label="Direct link to Data Protection Command API" title="Direct link to Data Protection Command API" translate="no">​</a></h2>
<ul>
<li class="">
<p>POST <code>/dataprotectioncommand/api/regime</code></p>
<ul>
<li class="">Updated validation for <code>ConditionalRetentionPeriods</code> parameter.</li>
</ul>
</li>
<li class="">
<p>PUT <code>/dataprotectioncommand/api/regime/{id}</code></p>
<ul>
<li class="">Updated validation for <code>ConditionalRetentionPeriods</code> parameter.</li>
</ul>
</li>
</ul>]]></content:encoded>
            <category>Data Protection</category>
        </item>
        <item>
            <title><![CDATA[Screening – Updated]]></title>
            <link>https://docs.fenergox.com/release-notes/api-changelog/2026/01/27/screening/Screening-Updated</link>
            <guid>https://docs.fenergox.com/release-notes/api-changelog/2026/01/27/screening/Screening-Updated</guid>
            <pubDate>Tue, 27 Jan 2026 00:00:00 GMT</pubDate>
            <description><![CDATA[Added validation in the receptor for the ScreenResponseDto to ensure that entities is not null.]]></description>
            <content:encoded><![CDATA[<p>Added validation in the receptor for the ScreenResponseDto to ensure that entities is not null.
This is not a breaking change, because sending entities as null was silently failing before,
but now we've improved the endpoint so it returns a 400 with the details of the error instead of silently failing down the line.</p>
<h2 class="anchor anchorTargetStickyNavbar_Vzrq" id="affected-endpoints">Affected Endpoints<a href="https://docs.fenergox.com/release-notes/api-changelog/2026/01/27/screening/Screening-Updated#affected-endpoints" class="hash-link" aria-label="Direct link to Affected Endpoints" title="Direct link to Affected Endpoints" translate="no">​</a></h2>
<ul>
<li class="">POST <code>/screeningreceptor/api/receptor</code></li>
</ul>]]></content:encoded>
            <category>Screening</category>
        </item>
        <item>
            <title><![CDATA[TM Observability – Changed]]></title>
            <link>https://docs.fenergox.com/release-notes/api-changelog/2026/01/27/tm-observability/Tm-Observability-Changed</link>
            <guid>https://docs.fenergox.com/release-notes/api-changelog/2026/01/27/tm-observability/Tm-Observability-Changed</guid>
            <pubDate>Tue, 27 Jan 2026 00:00:00 GMT</pubDate>
            <description><![CDATA[The response now includes ruledescription. The alertcount field has been removed and replaced with totalalertsreceived and uniquealertsafter_deduplication in the response for obervability rule execution API.]]></description>
            <content:encoded><![CDATA[<p>The response now includes rule_description. The alert_count field has been removed and replaced with total_alerts_received and unique_alerts_after_deduplication in the response for obervability rule execution API.</p>
<ul>
<li class="">GET <code>/api/v1/rules/execution</code></li>
</ul>]]></content:encoded>
            <category>TM Observability</category>
        </item>
        <item>
            <title><![CDATA[Data Protection – Updated]]></title>
            <link>https://docs.fenergox.com/release-notes/api-changelog/2026/01/21/data-protection/Data-Protection-Updated</link>
            <guid>https://docs.fenergox.com/release-notes/api-changelog/2026/01/21/data-protection/Data-Protection-Updated</guid>
            <pubDate>Wed, 21 Jan 2026 00:00:00 GMT</pubDate>
            <description><![CDATA[Added conditional retention periods support to Data Protection Regime query endpoints.]]></description>
            <content:encoded><![CDATA[<p>Added conditional retention periods support to Data Protection Regime query endpoints.</p>
<p>The overview endpoint now returns a boolean flag indicating whether a regime has conditional retention periods configured. The detailed endpoint returns the full list of conditional retention periods with their logic engine conditions.</p>
<h2 class="anchor anchorTargetStickyNavbar_Vzrq" id="data-protection-query-api">Data Protection Query API<a href="https://docs.fenergox.com/release-notes/api-changelog/2026/01/21/data-protection/Data-Protection-Updated#data-protection-query-api" class="hash-link" aria-label="Direct link to Data Protection Query API" title="Direct link to Data Protection Query API" translate="no">​</a></h2>
<ul>
<li class="">
<p>GET <code>/dataprotectionquery/api/regime</code></p>
<ul>
<li class="">Response now includes <code>HasConditionalRetentionPeriods</code> flag in <code>DataProtectionRegimeOverviewDto</code> to indicate if conditional retention periods are configured.</li>
</ul>
</li>
<li class="">
<p>GET <code>/dataprotectionquery/api/regime/{id}</code></p>
<ul>
<li class="">Response now includes <code>ConditionalRetentionPeriods</code> field in <code>DataProtectionRegimeDto</code> with the full list of conditional retention periods and their associated logic engine conditions.</li>
</ul>
</li>
</ul>]]></content:encoded>
            <category>Data Protection</category>
        </item>
        <item>
            <title><![CDATA[Data Protection – Updated]]></title>
            <link>https://docs.fenergox.com/release-notes/api-changelog/2026/01/19/data-protection/Data-Protection-Updated</link>
            <guid>https://docs.fenergox.com/release-notes/api-changelog/2026/01/19/data-protection/Data-Protection-Updated</guid>
            <pubDate>Mon, 19 Jan 2026 00:00:00 GMT</pubDate>
            <description><![CDATA[Added ConditionalRetentionPeriods support to Regime create and update endpoints.]]></description>
            <content:encoded><![CDATA[<p>Added ConditionalRetentionPeriods support to Regime create and update endpoints.</p>
<p>Data protection regimes can now be configured with conditional retention periods in addition to the standard data retention period.</p>
<h2 class="anchor anchorTargetStickyNavbar_Vzrq" id="data-protection-command-api">Data Protection Command API<a href="https://docs.fenergox.com/release-notes/api-changelog/2026/01/19/data-protection/Data-Protection-Updated#data-protection-command-api" class="hash-link" aria-label="Direct link to Data Protection Command API" title="Direct link to Data Protection Command API" translate="no">​</a></h2>
<ul>
<li class="">
<p>POST <code>/dataprotectioncommand/api/regime</code></p>
<ul>
<li class="">Now accepts <code>ConditionalRetentionPeriods</code> parameter when creating a new data protection regime.</li>
</ul>
</li>
<li class="">
<p>PUT <code>/dataprotectioncommand/api/regime/{id}</code></p>
<ul>
<li class="">Now accepts <code>ConditionalRetentionPeriods</code> parameter when updating an existing data protection regime.</li>
</ul>
</li>
</ul>]]></content:encoded>
            <category>Data Protection</category>
        </item>
        <item>
            <title><![CDATA[Data Protection – Added]]></title>
            <link>https://docs.fenergox.com/release-notes/api-changelog/2026/01/13/data-protection/Data-Protection-Added</link>
            <guid>https://docs.fenergox.com/release-notes/api-changelog/2026/01/13/data-protection/Data-Protection-Added</guid>
            <pubDate>Tue, 13 Jan 2026 00:00:00 GMT</pubDate>
            <description><![CDATA[Added new endpoints for Automatic Re-Onboarding.]]></description>
            <content:encoded><![CDATA[<p>Added new endpoints for Automatic Re-Onboarding.</p>
<h2 class="anchor anchorTargetStickyNavbar_Vzrq" id="data-protection-query-api">Data Protection Query API<a href="https://docs.fenergox.com/release-notes/api-changelog/2026/01/13/data-protection/Data-Protection-Added#data-protection-query-api" class="hash-link" aria-label="Direct link to Data Protection Query API" title="Direct link to Data Protection Query API" translate="no">​</a></h2>
<ul>
<li class="">
<p>GET <code>/dataprotectionquery/api/configuration/automatic-reonboarding/status</code></p>
<ul>
<li class="">Returns Automatic Re-Onboarding Configuration Status.</li>
</ul>
</li>
<li class="">
<p>GET <code>/dataprotectionquery/api/datadeletionprocess/{entityId}/journey/{journeyId}</code></p>
<ul>
<li class="">Returns all data deletion processes for given entity and journey Id.</li>
</ul>
</li>
</ul>
<h2 class="anchor anchorTargetStickyNavbar_Vzrq" id="data-protection-command-api">Data Protection Command API<a href="https://docs.fenergox.com/release-notes/api-changelog/2026/01/13/data-protection/Data-Protection-Added#data-protection-command-api" class="hash-link" aria-label="Direct link to Data Protection Command API" title="Direct link to Data Protection Command API" translate="no">​</a></h2>
<ul>
<li class="">
<p>PUT  <code>/dataprotectioncommand/api/configuration/automatic-reonboarding/{id}</code></p>
<ul>
<li class="">Updates data protection configuration.</li>
</ul>
</li>
<li class="">
<p>POST <code>/dataprotectioncommand/api/datadeletionprocess/pause</code></p>
<ul>
<li class="">Pauses data deletion process for a specified entity, jurisdiction, and journey.</li>
<li class="">Example Payload</li>
</ul>
</li>
</ul>
<div class="language-json codeBlockContainer_Ckt0 theme-code-block" style="--prism-background-color:hsl(230, 1%, 98%);--prism-color:hsl(230, 8%, 24%)"><div class="codeBlockContent_QJqH"><pre tabindex="0" class="prism-code language-json codeBlock_bY9V thin-scrollbar" style="background-color:hsl(230, 1%, 98%);color:hsl(230, 8%, 24%)"><code class="codeBlockLines_e6Vv"><span class="token-line" style="color:hsl(230, 8%, 24%)"><span class="token plain">        </span><span class="token property" style="color:hsl(5, 74%, 59%)">"data"</span><span class="token operator" style="color:hsl(221, 87%, 60%)">:</span><span class="token plain"> </span><span class="token punctuation" style="color:hsl(119, 34%, 47%)">{</span><span class="token plain"></span><br></span><span class="token-line" style="color:hsl(230, 8%, 24%)"><span class="token plain">            </span><span class="token property" style="color:hsl(5, 74%, 59%)">"entityId"</span><span class="token operator" style="color:hsl(221, 87%, 60%)">:</span><span class="token plain"> </span><span class="token string" style="color:hsl(119, 34%, 47%)">"3fa85f64-5717-4562-b3fc-2c963f66afa6"</span><span class="token punctuation" style="color:hsl(119, 34%, 47%)">,</span><span class="token plain"></span><br></span><span class="token-line" style="color:hsl(230, 8%, 24%)"><span class="token plain">            </span><span class="token property" style="color:hsl(5, 74%, 59%)">"journeyId"</span><span class="token operator" style="color:hsl(221, 87%, 60%)">:</span><span class="token plain"> </span><span class="token string" style="color:hsl(119, 34%, 47%)">"3fa85f64-5717-4562-b3fc-2c963f66afa6"</span><span class="token punctuation" style="color:hsl(119, 34%, 47%)">,</span><span class="token plain"></span><br></span><span class="token-line" style="color:hsl(230, 8%, 24%)"><span class="token plain">            </span><span class="token property" style="color:hsl(5, 74%, 59%)">"jurisdiction"</span><span class="token operator" style="color:hsl(221, 87%, 60%)">:</span><span class="token plain"> </span><span class="token string" style="color:hsl(119, 34%, 47%)">"Argentina"</span><span class="token plain"></span><br></span><span class="token-line" style="color:hsl(230, 8%, 24%)"><span class="token plain">        </span><span class="token punctuation" style="color:hsl(119, 34%, 47%)">}</span><br></span></code></pre></div></div>
<ul>
<li class="">POST <code>/dataprotectioncommand/api/datadeletionprocess/unpause</code>
<ul>
<li class="">Unpauses data deletion process for a specified entity, jurisdiction, and journey.</li>
<li class="">Example Payload</li>
</ul>
</li>
</ul>
<div class="language-json codeBlockContainer_Ckt0 theme-code-block" style="--prism-background-color:hsl(230, 1%, 98%);--prism-color:hsl(230, 8%, 24%)"><div class="codeBlockContent_QJqH"><pre tabindex="0" class="prism-code language-json codeBlock_bY9V thin-scrollbar" style="background-color:hsl(230, 1%, 98%);color:hsl(230, 8%, 24%)"><code class="codeBlockLines_e6Vv"><span class="token-line" style="color:hsl(230, 8%, 24%)"><span class="token plain">        </span><span class="token property" style="color:hsl(5, 74%, 59%)">"data"</span><span class="token operator" style="color:hsl(221, 87%, 60%)">:</span><span class="token plain"> </span><span class="token punctuation" style="color:hsl(119, 34%, 47%)">{</span><span class="token plain"></span><br></span><span class="token-line" style="color:hsl(230, 8%, 24%)"><span class="token plain">            </span><span class="token property" style="color:hsl(5, 74%, 59%)">"entityId"</span><span class="token operator" style="color:hsl(221, 87%, 60%)">:</span><span class="token plain"> </span><span class="token string" style="color:hsl(119, 34%, 47%)">"3fa85f64-5717-4562-b3fc-2c963f66afa6"</span><span class="token punctuation" style="color:hsl(119, 34%, 47%)">,</span><span class="token plain"></span><br></span><span class="token-line" style="color:hsl(230, 8%, 24%)"><span class="token plain">            </span><span class="token property" style="color:hsl(5, 74%, 59%)">"journeyId"</span><span class="token operator" style="color:hsl(221, 87%, 60%)">:</span><span class="token plain"> </span><span class="token string" style="color:hsl(119, 34%, 47%)">"3fa85f64-5717-4562-b3fc-2c963f66afa6"</span><span class="token punctuation" style="color:hsl(119, 34%, 47%)">,</span><span class="token plain"></span><br></span><span class="token-line" style="color:hsl(230, 8%, 24%)"><span class="token plain">            </span><span class="token property" style="color:hsl(5, 74%, 59%)">"jurisdiction"</span><span class="token operator" style="color:hsl(221, 87%, 60%)">:</span><span class="token plain"> </span><span class="token string" style="color:hsl(119, 34%, 47%)">"Argentina"</span><span class="token plain"></span><br></span><span class="token-line" style="color:hsl(230, 8%, 24%)"><span class="token plain">        </span><span class="token punctuation" style="color:hsl(119, 34%, 47%)">}</span><br></span></code></pre></div></div>]]></content:encoded>
            <category>Data Protection</category>
        </item>
        <item>
            <title><![CDATA[TM Observability – Changed]]></title>
            <link>https://docs.fenergox.com/release-notes/api-changelog/2026/01/06/tm-observability/Tm-Observability-Changed</link>
            <guid>https://docs.fenergox.com/release-notes/api-changelog/2026/01/06/tm-observability/Tm-Observability-Changed</guid>
            <pubDate>Tue, 06 Jan 2026 00:00:00 GMT</pubDate>
            <description><![CDATA[Includes pre-signed URLs in the response for batch transaction error file.]]></description>
            <content:encoded><![CDATA[<p>Includes pre-signed URLs in the response for batch transaction error file.</p>
<ul>
<li class="">GET <code>/api/v1/batch-transactions/batch</code></li>
</ul>]]></content:encoded>
            <category>TM Observability</category>
        </item>
        <item>
            <title><![CDATA[TM Observability – Added]]></title>
            <link>https://docs.fenergox.com/release-notes/api-changelog/2025/12/15/tm-observability/Tm-Observability-Added</link>
            <guid>https://docs.fenergox.com/release-notes/api-changelog/2025/12/15/tm-observability/Tm-Observability-Added</guid>
            <pubDate>Mon, 15 Dec 2025 00:00:00 GMT</pubDate>
            <description><![CDATA[Fetch batch transaction information either by batch IDs or by date range.]]></description>
            <content:encoded><![CDATA[<p>Fetch batch transaction information either by batch IDs or by date range.</p>
<ul>
<li class="">GET <code>/api/v1/batch-transactions/batches</code></li>
</ul>
<p>Fetch rule execution information either by rule IDs or by date range.</p>
<ul>
<li class="">GET <code>/api/v1/rules/execution</code></li>
</ul>]]></content:encoded>
            <category>TM Observability</category>
        </item>
        <item>
            <title><![CDATA[Entity-Data – Changed]]></title>
            <link>https://docs.fenergox.com/release-notes/api-changelog/2025/12/02/entity-data/Entity-Data-Changed</link>
            <guid>https://docs.fenergox.com/release-notes/api-changelog/2025/12/02/entity-data/Entity-Data-Changed</guid>
            <pubDate>Tue, 02 Dec 2025 00:00:00 GMT</pubDate>
            <description><![CDATA[Added property ForbiddenEntityDrafts to SearchEntityDrafts response.]]></description>
            <content:encoded><![CDATA[<p>Added property <code>ForbiddenEntityDrafts</code> to <code>SearchEntityDrafts</code> response.</p>
<h2 class="anchor anchorTargetStickyNavbar_Vzrq" id="affected-endpoints">Affected Endpoints<a href="https://docs.fenergox.com/release-notes/api-changelog/2025/12/02/entity-data/Entity-Data-Changed#affected-endpoints" class="hash-link" aria-label="Direct link to Affected Endpoints" title="Direct link to Affected Endpoints" translate="no">​</a></h2>
<ul>
<li class="">POST <code>/entitydataquery/api/v2/entity/search-entity-drafts</code></li>
</ul>]]></content:encoded>
            <category>Entity-Data</category>
        </item>
        <item>
            <title><![CDATA[TM Transaction Batch Upload – Unknown Entity Type Support Added]]></title>
            <link>https://docs.fenergox.com/release-notes/api-changelog/2025/11/20/tm-trx-batch-upload/Tm-Trx-Batch-Upload-Entities-Detail</link>
            <guid>https://docs.fenergox.com/release-notes/api-changelog/2025/11/20/tm-trx-batch-upload/Tm-Trx-Batch-Upload-Entities-Detail</guid>
            <pubDate>Thu, 20 Nov 2025 00:00:00 GMT</pubDate>
            <description><![CDATA[Added support for unknown entity type in transaction.]]></description>
            <content:encoded><![CDATA[<p>Added support for unknown entity type in transaction.</p>]]></content:encoded>
            <category>TM Trx Batch Upload</category>
        </item>
        <item>
            <title><![CDATA[Screening – Updated]]></title>
            <link>https://docs.fenergox.com/release-notes/api-changelog/2025/10/31/screening/Screening-Updated</link>
            <guid>https://docs.fenergox.com/release-notes/api-changelog/2025/10/31/screening/Screening-Updated</guid>
            <pubDate>Fri, 31 Oct 2025 00:00:00 GMT</pubDate>
            <description><![CDATA[Added DriversLicense, SocialSecurityNumber (SSN), and EmployerIdentificationNumber (EIN) to SearchCriteria in batch and to SecondaryIdentifiers in configuration. Right now it's only supported for LexisNexis and any custom providers that want to implement it.]]></description>
            <content:encoded><![CDATA[<p>Added <code>DriversLicense</code>, <code>SocialSecurityNumber</code> (SSN), and <code>EmployerIdentificationNumber</code> (EIN) to SearchCriteria in batch and to SecondaryIdentifiers in configuration. Right now it's only supported for LexisNexis and any custom providers that want to implement it.</p>
<h2 class="anchor anchorTargetStickyNavbar_Vzrq" id="affected-endpoints">Affected Endpoints<a href="https://docs.fenergox.com/release-notes/api-changelog/2025/10/31/screening/Screening-Updated#affected-endpoints" class="hash-link" aria-label="Direct link to Affected Endpoints" title="Direct link to Affected Endpoints" translate="no">​</a></h2>
<ul>
<li class="">POST <code>/screeningcommand/api/batch</code></li>
<li class="">POST <code>/screeningcommand/api/entity</code></li>
<li class="">PUT <code>/screeningcommand/api/entity/{entityId}</code></li>
<li class="">POST <code>/screeningcommand/api/v2/configuration/provider</code></li>
<li class="">PATCH <code>/screeningcommand/api/v2/configuration/provider/{providerId}</code></li>
<li class="">GET <code>/screeningquery/api/batch/{id}</code></li>
<li class="">GET <code>/screeningquery/api/batch/journey/{journeyId}</code></li>
<li class="">GET <code>/screeningquery/api/batch/journey/{journeyId}/process/{processId}</code></li>
<li class="">GET <code>/screeningquery/api/batch/{batchId}/entity</code></li>
<li class="">GET <code>/screeningquery/api/batch/{batchId}/entity/{entityId}</code></li>
<li class="">GET <code>/screeningquery/api/entity/{entityId}</code></li>
<li class="">POST <code>/screeningquery/api/entity/getentitieslist</code></li>
<li class="">GET <code>/screeningquery/api/v3/configuration</code></li>
<li class="">GET <code>/screeningquery/api/v3/configuration/provider/{providerId}</code></li>
<li class="">POST <code>/{anyScreeningAdapter}/api/screen</code></li>
</ul>]]></content:encoded>
            <category>Screening</category>
        </item>
        <item>
            <title><![CDATA[Risk – Updated]]></title>
            <link>https://docs.fenergox.com/release-notes/api-changelog/2025/10/21/risk/Risk-Updated</link>
            <guid>https://docs.fenergox.com/release-notes/api-changelog/2025/10/21/risk/Risk-Updated</guid>
            <pubDate>Tue, 21 Oct 2025 00:00:00 GMT</pubDate>
            <description><![CDATA[Updated Risk Assessment models to contain ThresholdColor.]]></description>
            <content:encoded><![CDATA[<p>Updated Risk Assessment models to contain <code>ThresholdColor</code>.</p>
<h2 class="anchor anchorTargetStickyNavbar_Vzrq" id="affected-endpoints">Affected Endpoints<a href="https://docs.fenergox.com/release-notes/api-changelog/2025/10/21/risk/Risk-Updated#affected-endpoints" class="hash-link" aria-label="Direct link to Affected Endpoints" title="Direct link to Affected Endpoints" translate="no">​</a></h2>
<ul>
<li class="">POST <code>/riskquery/api/risk-assessment</code></li>
<li class="">GET  <code>/riskquery/api/risk-assessment/{taskId}</code></li>
<li class="">POST <code>/riskquery/api/risk-assessment/taskResults</code></li>
<li class="">POST <code>/riskquery/api/risk-assessment/related-parties/{taskId:guid}</code></li>
<li class="">GET  <code>/riskquery/api/risk-assessment/related-parties/{taskId:guid}/entity/{entityId:guid}</code></li>
</ul>]]></content:encoded>
            <category>Risk</category>
        </item>
        <item>
            <title><![CDATA[Risk – Added]]></title>
            <link>https://docs.fenergox.com/release-notes/api-changelog/2025/10/08/risk/Risk-Added</link>
            <guid>https://docs.fenergox.com/release-notes/api-changelog/2025/10/08/risk/Risk-Added</guid>
            <pubDate>Wed, 08 Oct 2025 00:00:00 GMT</pubDate>
            <description><![CDATA[Added new property Thresholds to RiskFactorGroupRiskAssessmentViewModelDto.]]></description>
            <content:encoded><![CDATA[<p>Added new property <code>Thresholds</code> to <code>RiskFactorGroupRiskAssessmentViewModelDto</code>.</p>
<h2 class="anchor anchorTargetStickyNavbar_Vzrq" id="affected-endpoints">Affected Endpoints<a href="https://docs.fenergox.com/release-notes/api-changelog/2025/10/08/risk/Risk-Added#affected-endpoints" class="hash-link" aria-label="Direct link to Affected Endpoints" title="Direct link to Affected Endpoints" translate="no">​</a></h2>
<ul>
<li class="">GET  <code>/riskquery/api/risk-model</code></li>
<li class="">GET  <code>/riskquery/api/risk-model/{id}</code></li>
<li class="">GET  <code>/riskquery/api/risk-model/{id}/version/{versionNumber}</code></li>
<li class="">POST <code>/riskcommand/api/risk-model</code></li>
<li class="">POST <code>/riskcommand/api/risk-model/{id}</code></li>
<li class="">PUT  <code>/riskcommand/api/risk-model/{id}</code></li>
</ul>]]></content:encoded>
            <category>Risk</category>
        </item>
        <item>
            <title><![CDATA[TM Transaction Batch Upload – Upload headers requirements updated]]></title>
            <link>https://docs.fenergox.com/release-notes/api-changelog/2025/10/08/tm-trx-batch-upload/Tm-Trx-Batch-Upload-Headers-Updated</link>
            <guid>https://docs.fenergox.com/release-notes/api-changelog/2025/10/08/tm-trx-batch-upload/Tm-Trx-Batch-Upload-Headers-Updated</guid>
            <pubDate>Wed, 08 Oct 2025 00:00:00 GMT</pubDate>
            <description><![CDATA[Added requirement for If-None-Match header in endpoint request,]]></description>
            <content:encoded><![CDATA[<p>Added requirement for <code>If-None-Match</code> header in endpoint request,
to ensure rejecting conflicting uploads under the same url.</p>
<ul>
<li class="">POST <code>/api/transactions/batch/generate-upload-url</code></li>
</ul>]]></content:encoded>
            <category>TM Trx Batch Upload</category>
        </item>
        <item>
            <title><![CDATA[Risk – Updated]]></title>
            <link>https://docs.fenergox.com/release-notes/api-changelog/2025/10/03/risk/Risk-Updated</link>
            <guid>https://docs.fenergox.com/release-notes/api-changelog/2025/10/03/risk/Risk-Updated</guid>
            <pubDate>Fri, 03 Oct 2025 00:00:00 GMT</pubDate>
            <description><![CDATA[Updated ThresholdDto and RiskFactorGroupThresholdDto models to include ThresholdColor property.]]></description>
            <content:encoded><![CDATA[<p>Updated <code>ThresholdDto</code> and <code>RiskFactorGroupThresholdDto</code> models to include <code>ThresholdColor</code> property.</p>
<h2 class="anchor anchorTargetStickyNavbar_Vzrq" id="affected-endpoints">Affected Endpoints<a href="https://docs.fenergox.com/release-notes/api-changelog/2025/10/03/risk/Risk-Updated#affected-endpoints" class="hash-link" aria-label="Direct link to Affected Endpoints" title="Direct link to Affected Endpoints" translate="no">​</a></h2>
<ul>
<li class="">GET  <code>/riskquery/api/threshold-model</code></li>
<li class="">GET  <code>/riskquery/api/threshold-model/{id:guid}</code></li>
<li class="">GET  <code>/riskquery/api/threshold-model/{id:guid}/version/{versionNumber:int}</code></li>
<li class="">POST <code>/riskcommand/api/threshold-model</code></li>
<li class="">POST <code>/riskcommand/api/threshold-model/{id:guid}</code></li>
<li class="">PUT  <code>/riskcommand/api/threshold-model/{id:guid}</code></li>
<li class="">GET  <code>/riskquery/api/risk-model</code></li>
<li class="">GET  <code>/riskquery/api/risk-model/{id}</code></li>
<li class="">GET  <code>/riskquery/api/risk-model/{id}/version/{versionNumber}</code></li>
<li class="">POST <code>/riskcommand/api/risk-model</code></li>
<li class="">POST <code>/riskcommand/api/risk-model/{id}</code></li>
<li class="">PUT  <code>/riskcommand/api/risk-model/{id}</code></li>
</ul>]]></content:encoded>
            <category>Risk</category>
        </item>
        <item>
            <title><![CDATA[Screening – Added]]></title>
            <link>https://docs.fenergox.com/release-notes/api-changelog/2025/10/03/screening/Screening-Added</link>
            <guid>https://docs.fenergox.com/release-notes/api-changelog/2025/10/03/screening/Screening-Added</guid>
            <pubDate>Fri, 03 Oct 2025 00:00:00 GMT</pubDate>
            <description><![CDATA[New "AutonomyLevel" property added to BatchMetadataDto. Depending on the value, the matches will be auto-resolved using an AI Agent when they come back from the provider, and auto-close the Screening Results task.]]></description>
            <content:encoded><![CDATA[<p>New "AutonomyLevel" property added to BatchMetadataDto. Depending on the value, the matches will be auto-resolved using an AI Agent when they come back from the provider, and auto-close the Screening Results task.
Possible values: Manual (default), Semi-Autonomous, Fully Autonomous</p>
<p>New "LastActionedBy" property added to MatchDto. This new proporty will be used to identify who actioned the resolution of the match, i.e Screning Agent, Screening Provider or manually by user (<code>manuallyByUser@test.com</code>).</p>
<h2 class="anchor anchorTargetStickyNavbar_Vzrq" id="affected-endpoints">Affected Endpoints<a href="https://docs.fenergox.com/release-notes/api-changelog/2025/10/03/screening/Screening-Added#affected-endpoints" class="hash-link" aria-label="Direct link to Affected Endpoints" title="Direct link to Affected Endpoints" translate="no">​</a></h2>
<ul>
<li class="">POST <code>/api/batch</code> (BatchMetadataDto)</li>
<li class="">PUT <code>/api/batch/id/matches</code> (MatchDto)</li>
<li class="">GET <code>/api/v3/batch/{batchId}/entity/\{entityId\}/match</code> (MatchDto)</li>
</ul>]]></content:encoded>
            <category>Screening</category>
        </item>
        <item>
            <title><![CDATA[TM Transaction Batch Upload – Docs and OpenAPI spec improved]]></title>
            <link>https://docs.fenergox.com/release-notes/api-changelog/2025/09/30/tm-trx-batch-upload/Tm-Trx-Batch-Upload-Docs-And-Spec-Improved</link>
            <guid>https://docs.fenergox.com/release-notes/api-changelog/2025/09/30/tm-trx-batch-upload/Tm-Trx-Batch-Upload-Docs-And-Spec-Improved</guid>
            <pubDate>Tue, 30 Sep 2025 00:00:00 GMT</pubDate>
            <description><![CDATA[Improved the Transaction Batch documentation and OpenAPI specification to better reflect request/response formats and to improve generated API reference rendering.]]></description>
            <content:encoded><![CDATA[<p>Improved the Transaction Batch documentation and OpenAPI specification to better reflect request/response formats and to improve generated API reference rendering.</p>
<h2 class="anchor anchorTargetStickyNavbar_Vzrq" id="affected-endpoints">Affected endpoints<a href="https://docs.fenergox.com/release-notes/api-changelog/2025/09/30/tm-trx-batch-upload/Tm-Trx-Batch-Upload-Docs-And-Spec-Improved#affected-endpoints" class="hash-link" aria-label="Direct link to Affected endpoints" title="Direct link to Affected endpoints" translate="no">​</a></h2>
<ul>
<li class="">POST <code>/api/transactions/batch/generate-upload-url</code></li>
<li class="">GET  <code>/api/transactions/batch/status/{batch_id}</code></li>
<li class="">GET  <code>/api/transactions/batch/validation-result/{batch_id}</code></li>
</ul>]]></content:encoded>
            <category>TM Trx Batch Upload</category>
        </item>
        <item>
            <title><![CDATA[TM Transaction Batch Upload – Validation added]]></title>
            <link>https://docs.fenergox.com/release-notes/api-changelog/2025/09/30/tm-trx-batch-upload/Tm-Trx-Batch-Upload-Validation-Updated</link>
            <guid>https://docs.fenergox.com/release-notes/api-changelog/2025/09/30/tm-trx-batch-upload/Tm-Trx-Batch-Upload-Validation-Updated</guid>
            <pubDate>Tue, 30 Sep 2025 00:00:00 GMT</pubDate>
            <description><![CDATA[Get trx batch validation results endpoint added to check results of batch validation step.]]></description>
            <content:encoded><![CDATA[<p>Get trx batch validation results endpoint added to check results of batch validation step.</p>
<ul>
<li class="">GET <code>/api/transactions/batch/validation-result/{{batch-id}}</code></li>
</ul>
<p>Added <code>reject_on_invalid</code> parameter to the <code>generate-upload-url</code> endpoint to allow rejecting entire batch if any
transaction is invalid.</p>
<ul>
<li class="">POST <code>/api/transactions/batch/generate-upload-url</code></li>
</ul>]]></content:encoded>
            <category>TM Trx Batch Upload</category>
        </item>
        <item>
            <title><![CDATA[Data Protection – Added]]></title>
            <link>https://docs.fenergox.com/release-notes/api-changelog/2025/09/25/data-protection/Data-Protection-Added</link>
            <guid>https://docs.fenergox.com/release-notes/api-changelog/2025/09/25/data-protection/Data-Protection-Added</guid>
            <pubDate>Thu, 25 Sep 2025 00:00:00 GMT</pubDate>
            <description><![CDATA[New endpoint to retrieve Data Deletion Processes with pagination.]]></description>
            <content:encoded><![CDATA[<p>New endpoint to retrieve Data Deletion Processes with pagination.</p>
<p>Returns data deletion processes sorted by tenant with pagination support.</p>
<h2 class="anchor anchorTargetStickyNavbar_Vzrq" id="data-protection-query-api">Data Protection Query API<a href="https://docs.fenergox.com/release-notes/api-changelog/2025/09/25/data-protection/Data-Protection-Added#data-protection-query-api" class="hash-link" aria-label="Direct link to Data Protection Query API" title="Direct link to Data Protection Query API" translate="no">​</a></h2>
<ul>
<li class="">POST <code>/dataprotectionquery/api/datadeletionprocess/paged</code></li>
</ul>]]></content:encoded>
            <category>Data Protection</category>
        </item>
        <item>
            <title><![CDATA[Entity-Data – Changed]]></title>
            <link>https://docs.fenergox.com/release-notes/api-changelog/2025/09/24/entity-data/Entity-Data-Changed</link>
            <guid>https://docs.fenergox.com/release-notes/api-changelog/2025/09/24/entity-data/Entity-Data-Changed</guid>
            <pubDate>Wed, 24 Sep 2025 00:00:00 GMT</pubDate>
            <description><![CDATA[Removed HalleyEnableDraftsAndEntitiesV2Endpoints feature flag.]]></description>
            <content:encoded><![CDATA[<p>Removed <code>HalleyEnableDraftsAndEntitiesV2Endpoints</code> feature flag.</p>
<h2 class="anchor anchorTargetStickyNavbar_Vzrq" id="affected-endpoints">Affected Endpoints<a href="https://docs.fenergox.com/release-notes/api-changelog/2025/09/24/entity-data/Entity-Data-Changed#affected-endpoints" class="hash-link" aria-label="Direct link to Affected Endpoints" title="Direct link to Affected Endpoints" translate="no">​</a></h2>
<ul>
<li class="">POST <code>/entitydataquery/api/v2/entity/get-entities-list</code></li>
<li class="">POST <code>/entitydataquery/api/v2/entity/search-entity-drafts</code></li>
</ul>]]></content:encoded>
            <category>Entity-Data</category>
        </item>
        <item>
            <title><![CDATA[Risk – Added]]></title>
            <link>https://docs.fenergox.com/release-notes/api-changelog/2025/09/24/risk/Risk-Added</link>
            <guid>https://docs.fenergox.com/release-notes/api-changelog/2025/09/24/risk/Risk-Added</guid>
            <pubDate>Wed, 24 Sep 2025 00:00:00 GMT</pubDate>
            <description><![CDATA[Added new Thresholds property to Risk Factor Groups in the risk model.]]></description>
            <content:encoded><![CDATA[<p>Added new <code>Thresholds</code> property to Risk Factor Groups in the risk model.</p>
<h2 class="anchor anchorTargetStickyNavbar_Vzrq" id="affected-endpoints">Affected Endpoints<a href="https://docs.fenergox.com/release-notes/api-changelog/2025/09/24/risk/Risk-Added#affected-endpoints" class="hash-link" aria-label="Direct link to Affected Endpoints" title="Direct link to Affected Endpoints" translate="no">​</a></h2>
<ul>
<li class="">GET  <code>/riskquery/api/risk-model</code></li>
<li class="">GET  <code>/riskquery/api/risk-model/{id}</code></li>
<li class="">GET  <code>/riskquery/api/risk-model/{id}/version/{versionNumber}</code></li>
<li class="">POST <code>/riskcommand/api/risk-model</code></li>
<li class="">POST <code>/riskcommand/api/risk-model/{id}</code></li>
<li class="">PUT  <code>/riskcommand/api/risk-model/{id}</code></li>
</ul>]]></content:encoded>
            <category>Risk</category>
        </item>
        <item>
            <title><![CDATA[Entity-Data – Changed]]></title>
            <link>https://docs.fenergox.com/release-notes/api-changelog/2025/09/23/entity-data/Entity-Data-Changed</link>
            <guid>https://docs.fenergox.com/release-notes/api-changelog/2025/09/23/entity-data/Entity-Data-Changed</guid>
            <pubDate>Tue, 23 Sep 2025 00:00:00 GMT</pubDate>
            <description><![CDATA[Updated response to include basic AccessLayers data for InaccessibleEntities for verified and draft entities.]]></description>
            <content:encoded><![CDATA[<p>Updated response to include basic <code>AccessLayers</code> data for <code>InaccessibleEntities</code> for verified and draft entities.</p>
<h2 class="anchor anchorTargetStickyNavbar_Vzrq" id="affected-endpoints">Affected Endpoints<a href="https://docs.fenergox.com/release-notes/api-changelog/2025/09/23/entity-data/Entity-Data-Changed#affected-endpoints" class="hash-link" aria-label="Direct link to Affected Endpoints" title="Direct link to Affected Endpoints" translate="no">​</a></h2>
<ul>
<li class="">POST <code>/entitydataquery/api/v2/entity/get-entities-list</code></li>
<li class="">POST <code>/entitydataquery/api/v2/entity/search-entity-drafts</code></li>
</ul>]]></content:encoded>
            <category>Entity-Data</category>
        </item>
        <item>
            <title><![CDATA[Portal Tenant – Changed]]></title>
            <link>https://docs.fenergox.com/release-notes/api-changelog/2025/09/17/portal-tenant/Portal-Tenant-Changed</link>
            <guid>https://docs.fenergox.com/release-notes/api-changelog/2025/09/17/portal-tenant/Portal-Tenant-Changed</guid>
            <pubDate>Wed, 17 Sep 2025 00:00:00 GMT</pubDate>
            <description><![CDATA[Added investment account properties to role configuration:]]></description>
            <content:encoded><![CDATA[<p>Added investment account properties to role configuration:</p>
<ul>
<li class="">EntityPageConfig:
<ul>
<li class="">EntityPageDisplayInvestmentAccounts (optional)</li>
<li class="">InvestmentAccountPageConfig (mandatory if EntityPageDisplayInvestmentAccounts = true)
<ul>
<li class="">InvestmentAccountsSections (optional)</li>
<li class="">InvestmentAccountDataCategory (mandatory if InvestmentAccountsSections = "Data")</li>
<li class="">InvestmentAccountDocumentType (mandatory if InvestmentAccountsSections = "Documents")</li>
</ul>
</li>
</ul>
</li>
</ul>
<h2 class="anchor anchorTargetStickyNavbar_Vzrq" id="affected-endpoints">Affected Endpoints<a href="https://docs.fenergox.com/release-notes/api-changelog/2025/09/17/portal-tenant/Portal-Tenant-Changed#affected-endpoints" class="hash-link" aria-label="Direct link to Affected Endpoints" title="Direct link to Affected Endpoints" translate="no">​</a></h2>
<ul>
<li class="">POST <code>/api/portal-roles/createrole</code></li>
<li class="">PUT <code>/api/portal-roles/updateroledetails</code></li>
<li class="">GET <code>/api/portal-roles/portalRole/{id}</code></li>
<li class="">GET <code>/api/portal-roles/portalRoles</code></li>
</ul>]]></content:encoded>
            <category>Portal Tenant</category>
        </item>
        <item>
            <title><![CDATA[Risk – Added]]></title>
            <link>https://docs.fenergox.com/release-notes/api-changelog/2025/09/15/risk/Risk-Added</link>
            <guid>https://docs.fenergox.com/release-notes/api-changelog/2025/09/15/risk/Risk-Added</guid>
            <pubDate>Mon, 15 Sep 2025 00:00:00 GMT</pubDate>
            <description><![CDATA[Added new endpoint to query risk assessments for related parties by task id and entity ids.]]></description>
            <content:encoded><![CDATA[<p>Added new endpoint to query risk assessments for related parties by task id and entity ids.</p>
<h2 class="anchor anchorTargetStickyNavbar_Vzrq" id="affected-endpoints">Affected Endpoints<a href="https://docs.fenergox.com/release-notes/api-changelog/2025/09/15/risk/Risk-Added#affected-endpoints" class="hash-link" aria-label="Direct link to Affected Endpoints" title="Direct link to Affected Endpoints" translate="no">​</a></h2>
<ul>
<li class="">POST <code>/riskquery/api/risk-assessment/related-parties/{taskId:guid}</code></li>
</ul>]]></content:encoded>
            <category>Risk</category>
        </item>
        <item>
            <title><![CDATA[Screening – Updated]]></title>
            <link>https://docs.fenergox.com/release-notes/api-changelog/2025/09/04/screening/Screening-Updated</link>
            <guid>https://docs.fenergox.com/release-notes/api-changelog/2025/09/04/screening/Screening-Updated</guid>
            <pubDate>Thu, 04 Sep 2025 00:00:00 GMT</pubDate>
            <description><![CDATA[Added validations in the Screening Receptor when a batch is created and results are sent back from the provider to check:]]></description>
            <content:encoded><![CDATA[<p>Added validations in the Screening Receptor when a batch is created and results are sent back from the provider to check:</p>
<ul>
<li class="">That all the entities being returned for the batch search results to the receptor belong to the batch.</li>
<li class="">That the match.providerId returned for the batch search results to the receptor exists in the list of the batch providers.</li>
</ul>
<p>Also, added fields to the Screening Command API in order to support implementation of Alias Screening. For all the endpoints, entityAliases can be sent as null or an empty list if not using Alias Screening.</p>
<h2 class="anchor anchorTargetStickyNavbar_Vzrq" id="affected-endpoints">Affected Endpoints<a href="https://docs.fenergox.com/release-notes/api-changelog/2025/09/04/screening/Screening-Updated#affected-endpoints" class="hash-link" aria-label="Direct link to Affected Endpoints" title="Direct link to Affected Endpoints" translate="no">​</a></h2>
<ul>
<li class="">POST <code>/api/batch</code>
<ul>
<li class="">Added entityAliases to CreateBatchEntityDto (within CreateBatchDto).</li>
</ul>
</li>
<li class="">POST <code>/api/entity</code>
<ul>
<li class="">Added entityAliases to CreateEntityDto.</li>
<li class="">Added entityAliases to EntityCreatedDto (response).</li>
</ul>
</li>
<li class="">PUT <code>/api/entity/{entityId}</code>
<ul>
<li class="">Added entityAliases to UpdateEntityDto.</li>
</ul>
</li>
<li class="">POST <code>/screeningreceptor/api/receptor</code>
<ul>
<li class="">Validations explained above</li>
</ul>
</li>
</ul>]]></content:encoded>
            <category>Screening</category>
        </item>
        <item>
            <title><![CDATA[Risk – Added]]></title>
            <link>https://docs.fenergox.com/release-notes/api-changelog/2025/08/29/risk/Risk-Added</link>
            <guid>https://docs.fenergox.com/release-notes/api-changelog/2025/08/29/risk/Risk-Added</guid>
            <pubDate>Fri, 29 Aug 2025 00:00:00 GMT</pubDate>
            <description><![CDATA[Added new endpoint to query risk assessment for a related party by task id and entity id.]]></description>
            <content:encoded><![CDATA[<p>Added new endpoint to query risk assessment for a related party by task id and entity id.</p>
<h2 class="anchor anchorTargetStickyNavbar_Vzrq" id="affected-endpoints">Affected Endpoints<a href="https://docs.fenergox.com/release-notes/api-changelog/2025/08/29/risk/Risk-Added#affected-endpoints" class="hash-link" aria-label="Direct link to Affected Endpoints" title="Direct link to Affected Endpoints" translate="no">​</a></h2>
<ul>
<li class="">GET <code>/riskquery/api/risk-assessment/related-parties/{taskId:guid}/entity/{entityId:guid}</code></li>
</ul>]]></content:encoded>
            <category>Risk</category>
        </item>
        <item>
            <title><![CDATA[Portal Tenant – Changed]]></title>
            <link>https://docs.fenergox.com/release-notes/api-changelog/2025/08/28/portal-tenant/Portal-Tenant-Changed</link>
            <guid>https://docs.fenergox.com/release-notes/api-changelog/2025/08/28/portal-tenant/Portal-Tenant-Changed</guid>
            <pubDate>Thu, 28 Aug 2025 00:00:00 GMT</pubDate>
            <description><![CDATA[Affected Endpoints]]></description>
            <content:encoded><![CDATA[<h2 class="anchor anchorTargetStickyNavbar_Vzrq" id="affected-endpoints">Affected Endpoints<a href="https://docs.fenergox.com/release-notes/api-changelog/2025/08/28/portal-tenant/Portal-Tenant-Changed#affected-endpoints" class="hash-link" aria-label="Direct link to Affected Endpoints" title="Direct link to Affected Endpoints" translate="no">​</a></h2>
<p>Added optional properties to role configuration</p>
<ul>
<li class="">POST <code>/api/portal-roles/createrole</code> - EntityPageConfig - EnableAccessLayers (optional)</li>
<li class="">PUT <code>/api/portal-roles/updateroledetails</code> - EntityPageConfig - EnableAccessLayers (optional)</li>
<li class="">GET <code>/api/portal-roles/portalRole/{id}</code> - EntityPageConfig - EnableAccessLayers (optional)</li>
<li class="">GET <code>/api/portal-roles/portalRoles</code> - EntityPageConfig - EnableAccessLayers (optional)</li>
</ul>
<p>Added optional properties to user endpoints</p>
<ul>
<li class="">GET <code>/api/portal-users/getPortalUserDetails</code> - AccessLayersConfig (optional)</li>
<li class="">GET <code>/api/portal-users/getPortalUserDetailsWithoutLinkedEntities</code> - AccessLayersConfig (optional)</li>
<li class="">PUT <code>/api/portal-users/updateUserDetails</code> - AccessLayersConfig (optional)</li>
</ul>]]></content:encoded>
            <category>Portal Tenant</category>
        </item>
        <item>
            <title><![CDATA[Entity-Data – Changed]]></title>
            <link>https://docs.fenergox.com/release-notes/api-changelog/2025/08/08/entity-data/Entity-Data-Changed</link>
            <guid>https://docs.fenergox.com/release-notes/api-changelog/2025/08/08/entity-data/Entity-Data-Changed</guid>
            <pubDate>Fri, 08 Aug 2025 00:00:00 GMT</pubDate>
            <description><![CDATA[Updated response to include entity type.]]></description>
            <content:encoded><![CDATA[<p>Updated response to include entity type.</p>
<h2 class="anchor anchorTargetStickyNavbar_Vzrq" id="affected-endpoints">Affected Endpoints<a href="https://docs.fenergox.com/release-notes/api-changelog/2025/08/08/entity-data/Entity-Data-Changed#affected-endpoints" class="hash-link" aria-label="Direct link to Affected Endpoints" title="Direct link to Affected Endpoints" translate="no">​</a></h2>
<ul>
<li class="">POST <code>/entitydataquery/api/v2/entity/names</code></li>
</ul>]]></content:encoded>
            <category>Entity-Data</category>
        </item>
        <item>
            <title><![CDATA[TM Rule Execution – Added]]></title>
            <link>https://docs.fenergox.com/release-notes/api-changelog/2025/08/08/tm-rule-execution/TM-Rule-Execution-Added</link>
            <guid>https://docs.fenergox.com/release-notes/api-changelog/2025/08/08/tm-rule-execution/TM-Rule-Execution-Added</guid>
            <pubDate>Fri, 08 Aug 2025 00:00:00 GMT</pubDate>
            <description><![CDATA[Trigger the execution of scheduled rules for a specific date]]></description>
            <content:encoded><![CDATA[<p>Trigger the execution of scheduled rules for a specific date</p>
<ul>
<li class="">POST <code>/api/rules/execute</code></li>
</ul>]]></content:encoded>
            <category>TM Rule Execution</category>
        </item>
        <item>
            <title><![CDATA[Entity Data – Changed]]></title>
            <link>https://docs.fenergox.com/release-notes/api-changelog/2025/08/07/entity-data/Entity-Data-Changed</link>
            <guid>https://docs.fenergox.com/release-notes/api-changelog/2025/08/07/entity-data/Entity-Data-Changed</guid>
            <pubDate>Thu, 07 Aug 2025 00:00:00 GMT</pubDate>
            <description><![CDATA[This endpoint is marked as obsolete but will continue to be supported with no planned termination date.]]></description>
            <content:encoded><![CDATA[<p>This endpoint is marked as obsolete but will continue to be supported with no planned termination date.
However, its usage is not recommended as it does not support full field-level validation.</p>
<ul>
<li class=""><strong>PUT</strong> <code>/api/entity/{entityId}/draft/{id}</code></li>
</ul>
<p>Copy EntityDraft Command v2 endpoints to v3.</p>]]></content:encoded>
            <category>Entity Data</category>
        </item>
        <item>
            <title><![CDATA[Screening – Updated]]></title>
            <link>https://docs.fenergox.com/release-notes/api-changelog/2025/08/07/screening/Screening-Updated</link>
            <guid>https://docs.fenergox.com/release-notes/api-changelog/2025/08/07/screening/Screening-Updated</guid>
            <pubDate>Thu, 07 Aug 2025 00:00:00 GMT</pubDate>
            <description><![CDATA[Update BatchExternalIds to use their own model (BatchExternalId instead of ExternalId), as it does not make sense for a BatchExternalId to have EntityAliasId since BatchExternalId is specifically related to the batch, not any of its entities.]]></description>
            <content:encoded><![CDATA[<p>Update BatchExternalIds to use their own model (BatchExternalId instead of ExternalId), as it does not make sense for a BatchExternalId to have EntityAliasId since BatchExternalId is specifically related to the batch, not any of its entities.
This should not affect any clients as Alias Screening has not been enabled yet.</p>
<h2 class="anchor anchorTargetStickyNavbar_Vzrq" id="affected-endpoints">Affected Endpoints<a href="https://docs.fenergox.com/release-notes/api-changelog/2025/08/07/screening/Screening-Updated#affected-endpoints" class="hash-link" aria-label="Direct link to Affected Endpoints" title="Direct link to Affected Endpoints" translate="no">​</a></h2>
<ul>
<li class="">POST <code>/screeningreceptor/api/receptor</code> (ScreenResponseDto, OngoingScreeningGetResultsResponseDto)</li>
<li class="">POST <code>/{anyScreeningAdapter}/api/resolvematches</code> (ResolveMatchesRequestDto)</li>
<li class="">GET <code>/screeningquery/api/batch/{id}</code>, GET <code>/screeningquery/api/batch/journey/{journeyId}</code>, GET <code>/screeningquery/api/batch/journey/{journeyId}/process/{processId}</code> (BatchDto)</li>
</ul>]]></content:encoded>
            <category>Screening</category>
        </item>
        <item>
            <title><![CDATA[Screening – Updated]]></title>
            <link>https://docs.fenergox.com/release-notes/api-changelog/2025/07/29/screening/Screening-Updated</link>
            <guid>https://docs.fenergox.com/release-notes/api-changelog/2025/07/29/screening/Screening-Updated</guid>
            <pubDate>Tue, 29 Jul 2025 00:00:00 GMT</pubDate>
            <description><![CDATA[Added fields to support implementation of Alias Screening. There are no breaking changes here, so adapter implementations will continue to work as normal without the need of making any change.]]></description>
            <content:encoded><![CDATA[<p>Added fields to support implementation of Alias Screening. There are no breaking changes here, so adapter implementations will continue to work as normal without the need of making any change.</p>
<h2 class="anchor anchorTargetStickyNavbar_Vzrq" id="affected-endpoints">Affected Endpoints<a href="https://docs.fenergox.com/release-notes/api-changelog/2025/07/29/screening/Screening-Updated#affected-endpoints" class="hash-link" aria-label="Direct link to Affected Endpoints" title="Direct link to Affected Endpoints" translate="no">​</a></h2>
<ul>
<li class="">
<p>POST <code>/screeningreceptor/api/receptor</code></p>
<ul>
<li class="">Added entityAliasId to ExternalIdDto. If not using AliasScreening, entityAliasId should be always set to PrimaryName (null will default to PrimaryName).</li>
<li class="">Renamed AliasDto to MatchDataAliasDto for aliasesList in MatchDataDto (this is not considered a breaking change as only the name of the model was changed).</li>
<li class="">Added externalIds and entityAliasIds to MatchDataDto and set externalId as obsolete, since it will be removed in the future. If not using AliasScreening, entityAliasId should be always set to PrimaryName (null will default to PrimaryName).</li>
</ul>
</li>
<li class="">
<p>POST <code>/{anyScreeningAdapter}/api/screen</code></p>
<ul>
<li class="">Added entityAliases to ScreenRequestEntityDto. Only needed for providers that want to support AliasScreening.</li>
<li class="">Added entityAliases to OverriddenBatchEntityDto. Only needed for providers that want to support AliasScreening.</li>
</ul>
</li>
<li class="">
<p>POST <code>/{anyScreeningAdapter}/api/resolvematches</code></p>
<ul>
<li class="">Added entityAliasId to ExternalIdDto (batchExternalIds and entities.externalIds). If not using AliasScreening, entityAliasId should be always set to PrimaryName (null will default to PrimaryName).</li>
<li class="">Added entityAliasIds to ResolveMatchesRequestEntityDto. Only needed for providers that want to support AliasScreening.</li>
<li class="">Added externalIds and entityAliasIds to ResolveMatchesRequestMatchDataDto and set externalId as obsolete, since it will be removed in the future. If not using AliasScreening, entityAliasId should be always set to PrimaryName (null will default to PrimaryName).</li>
</ul>
</li>
<li class="">
<p>POST <code>/{anyScreeningAdapter}/api/ongoingscreening</code></p>
<ul>
<li class="">Added entityAliasesForEnable to OngoingScreeningRequestDto. Only needed for providers that want to support AliasScreening.</li>
</ul>
</li>
<li class="">
<p>POST <code>/{anyScreeningAdapter}/api/ongoingscreeningupdate</code></p>
<ul>
<li class="">Added entityAliases to OngoingScreeningUpdateRequestDto. Only needed for providers that want to support AliasScreening.</li>
</ul>
</li>
<li class="">
<p>GET <code>/screeningquery/api/batch/{id}</code>, GET <code>/screeningquery/api/batch/journey/{journeyId}</code>, GET <code>/screeningquery/api/batch/journey/{journeyId}/process/{processId}</code></p>
<ul>
<li class="">Added entityAliases to BatchEntitySearchDto.</li>
<li class="">Added entityAliasId to ExternalIdDto.</li>
</ul>
</li>
<li class="">
<p>GET <code>/screeningquery/api/batch/{batchId}/entity</code>, GET <code>/screeningquery/api/batch/{batchId}/entity/{entityId}</code></p>
<ul>
<li class="">Added entityAliases to BatchEntityDto.</li>
<li class="">Added entityAliasId to ExternalIdDto.</li>
</ul>
</li>
<li class="">
<p>GET <code>/screeningquery/api/batch/{batchId}/entity/{entityId}/match</code>, GET <code>/screeningquery/api/batch/{batchId}/entity/{entityId}/match/{matchId}</code></p>
<ul>
<li class="">Added entityAliasIds to MatchDto.</li>
<li class="">Added externalIds to MatchDataDto.</li>
<li class="">Renamed AliasDto to MatchDataAliasDto for aliasesList in MatchDataDto (this is not considered a breaking change as only the name of the model was changed).</li>
</ul>
</li>
<li class="">
<p>GET <code>/screeningquery/api/entity/{entityId}</code>, POST <code>/screeningquery/api/entity/getentitieslist</code></p>
<ul>
<li class="">Added entityAliases to ScreeningEntityDto.</li>
</ul>
</li>
</ul>]]></content:encoded>
            <category>Screening</category>
        </item>
        <item>
            <title><![CDATA[Document Management – Changed]]></title>
            <link>https://docs.fenergox.com/release-notes/api-changelog/2025/07/25/document-management/Document-Management-Changed</link>
            <guid>https://docs.fenergox.com/release-notes/api-changelog/2025/07/25/document-management/Document-Management-Changed</guid>
            <pubDate>Fri, 25 Jul 2025 00:00:00 GMT</pubDate>
            <description><![CDATA[Extend configuration to support capturing a list of data keys for document expiry data fields]]></description>
            <content:encoded><![CDATA[<p>Extend configuration to support capturing a list of data keys for document expiry data fields</p>
<h2 class="anchor anchorTargetStickyNavbar_Vzrq" id="affected-endpoints">Affected Endpoints<a href="https://docs.fenergox.com/release-notes/api-changelog/2025/07/25/document-management/Document-Management-Changed#affected-endpoints" class="hash-link" aria-label="Direct link to Affected Endpoints" title="Direct link to Affected Endpoints" translate="no">​</a></h2>
<ul>
<li class="">PUT <code>/documentmanagementcommand/api/configuration</code></li>
<li class="">GET <code>/documentmanagementcommand/api/configuration</code></li>
</ul>]]></content:encoded>
            <category>Document Management</category>
        </item>
        <item>
            <title><![CDATA[Screening – Updated]]></title>
            <link>https://docs.fenergox.com/release-notes/api-changelog/2025/07/24/screening/Screening-Updated</link>
            <guid>https://docs.fenergox.com/release-notes/api-changelog/2025/07/24/screening/Screening-Updated</guid>
            <pubDate>Thu, 24 Jul 2025 00:00:00 GMT</pubDate>
            <description><![CDATA[Added PassportNumber to SearchCriteria in batch and to SecondaryIdentifiers in configuration. Right now it's only supported for LexisNexis and any custom providers that want to implement it.]]></description>
            <content:encoded><![CDATA[<p>Added PassportNumber to SearchCriteria in batch and to SecondaryIdentifiers in configuration. Right now it's only supported for LexisNexis and any custom providers that want to implement it.</p>
<h2 class="anchor anchorTargetStickyNavbar_Vzrq" id="affected-endpoints">Affected Endpoints<a href="https://docs.fenergox.com/release-notes/api-changelog/2025/07/24/screening/Screening-Updated#affected-endpoints" class="hash-link" aria-label="Direct link to Affected Endpoints" title="Direct link to Affected Endpoints" translate="no">​</a></h2>
<ul>
<li class="">POST <code>/screeningcommand/api/batch</code></li>
<li class="">POST <code>/screeningcommand/api/entity</code></li>
<li class="">PUT <code>/screeningcommand/api/entity/{entityId}</code></li>
<li class="">POST <code>/screeningcommand/api/v2/configuration/provider</code></li>
<li class="">PATCH <code>/screeningcommand/api/v2/configuration/provider/{providerId}</code></li>
<li class="">GET <code>/screeningquery/api/batch/{id}</code></li>
<li class="">GET <code>/screeningquery/api/batch/journey/{journeyId}</code></li>
<li class="">GET <code>/screeningquery/api/batch/journey/{journeyId}/process/{processId}</code></li>
<li class="">GET <code>/screeningquery/api/batch/{batchId}/entity</code></li>
<li class="">GET <code>/screeningquery/api/batch/{batchId}/entity/{entityId}</code></li>
<li class="">GET <code>/screeningquery/api/entity/{entityId}</code></li>
<li class="">POST <code>/screeningquery/api/entity/getentitieslist</code></li>
<li class="">GET <code>/screeningquery/api/v3/configuration</code></li>
<li class="">GET <code>/screeningquery/api/v3/configuration/provider/{providerId}</code></li>
<li class="">POST <code>/{anyScreeningAdapter}/api/screen</code></li>
</ul>]]></content:encoded>
            <category>Screening</category>
        </item>
        <item>
            <title><![CDATA[Document Management – Changed]]></title>
            <link>https://docs.fenergox.com/release-notes/api-changelog/2025/07/14/document-management/Document-Management-Changed-2</link>
            <guid>https://docs.fenergox.com/release-notes/api-changelog/2025/07/14/document-management/Document-Management-Changed-2</guid>
            <pubDate>Mon, 14 Jul 2025 00:00:00 GMT</pubDate>
            <description><![CDATA[Changed Validation behaviour for Document Requirement Update (Waiving)]]></description>
            <content:encoded><![CDATA[<p>Changed Validation behaviour for Document Requirement Update (Waiving)</p>
<h2 class="anchor anchorTargetStickyNavbar_Vzrq" id="affected-endpoints">Affected Endpoints<a href="https://docs.fenergox.com/release-notes/api-changelog/2025/07/14/document-management/Document-Management-Changed-2#affected-endpoints" class="hash-link" aria-label="Direct link to Affected Endpoints" title="Direct link to Affected Endpoints" translate="no">​</a></h2>
<ul>
<li class="">PUT <code>/documentmanagementcommand/api/documentrequirement/{id}</code></li>
</ul>]]></content:encoded>
            <category>Document Management</category>
        </item>
        <item>
            <title><![CDATA[Document Management – Changed]]></title>
            <link>https://docs.fenergox.com/release-notes/api-changelog/2025/07/14/document-management/Document-Management-Changed</link>
            <guid>https://docs.fenergox.com/release-notes/api-changelog/2025/07/14/document-management/Document-Management-Changed</guid>
            <pubDate>Mon, 14 Jul 2025 00:00:00 GMT</pubDate>
            <description><![CDATA[Adjusted endpoint configuration in order to support additional document metadata columns]]></description>
            <content:encoded><![CDATA[<p>Adjusted endpoint configuration in order to support additional document metadata columns</p>
<h2 class="anchor anchorTargetStickyNavbar_Vzrq" id="affected-endpoints">Affected Endpoints<a href="https://docs.fenergox.com/release-notes/api-changelog/2025/07/14/document-management/Document-Management-Changed#affected-endpoints" class="hash-link" aria-label="Direct link to Affected Endpoints" title="Direct link to Affected Endpoints" translate="no">​</a></h2>
<ul>
<li class="">PUT <code>/documentmanagementcommand/api/configuration</code></li>
<li class="">GET <code>/documentmanagementcommand/api/configuration</code></li>
</ul>]]></content:encoded>
            <category>Document Management</category>
        </item>
        <item>
            <title><![CDATA[Portal Tenant – Changed]]></title>
            <link>https://docs.fenergox.com/release-notes/api-changelog/2025/06/27/portal-tenant/Portal-Tenant-Changed</link>
            <guid>https://docs.fenergox.com/release-notes/api-changelog/2025/06/27/portal-tenant/Portal-Tenant-Changed</guid>
            <pubDate>Fri, 27 Jun 2025 00:00:00 GMT</pubDate>
            <description><![CDATA[Added optional properties to role configuration:]]></description>
            <content:encoded><![CDATA[<p>Added optional properties to role configuration:</p>
<ul>
<li class="">EntityPageConfig:
<ul>
<li class="">EntityPageDataReqCategory (moved from PublicConfigEditableBase)</li>
<li class="">ShowEntityProfilePageV2 (optional)</li>
<li class="">EntityPageDocumentTypes (optional)</li>
<li class="">ProductRequestDetailsCategory (optional)</li>
</ul>
</li>
</ul>
<h2 class="anchor anchorTargetStickyNavbar_Vzrq" id="affected-endpoints">Affected Endpoints<a href="https://docs.fenergox.com/release-notes/api-changelog/2025/06/27/portal-tenant/Portal-Tenant-Changed#affected-endpoints" class="hash-link" aria-label="Direct link to Affected Endpoints" title="Direct link to Affected Endpoints" translate="no">​</a></h2>
<ul>
<li class="">POST <code>/api/portal-roles/createrole</code></li>
<li class="">PUT <code>/api/portal-roles/updateroledetails</code></li>
<li class="">GET <code>/api/portal-roles/portalRole/{id}</code></li>
<li class="">GET <code>/api/portal-roles/portalRoles</code></li>
</ul>]]></content:encoded>
            <category>Portal Tenant</category>
        </item>
        <item>
            <title><![CDATA[Entity Data – Changed]]></title>
            <link>https://docs.fenergox.com/release-notes/api-changelog/2025/06/18/entity-data/Entity-Data-Changed</link>
            <guid>https://docs.fenergox.com/release-notes/api-changelog/2025/06/18/entity-data/Entity-Data-Changed</guid>
            <pubDate>Wed, 18 Jun 2025 00:00:00 GMT</pubDate>
            <description><![CDATA[getEntitiesPagedList has additional validation for the Pager.From and SearchAfter params. Only one can be used at a time.]]></description>
            <content:encoded><![CDATA[<p>getEntitiesPagedList has additional validation for the <code>Pager.From</code> and <code>SearchAfter</code> params. Only one can be used at a time.
If both are provided, the request will return a 400 Bad Request error.</p>
<ul>
<li class=""><strong>POST</strong> <code>/entitydataquery/api/entity/getEntitiesPagedList</code></li>
<li class=""><strong>POST</strong> <code>/entitydataquery/api/v2/entity/getEntitiesPagedList</code></li>
</ul>]]></content:encoded>
            <category>Entity Data</category>
        </item>
        <item>
            <title><![CDATA[Authorization – Changed]]></title>
            <link>https://docs.fenergox.com/release-notes/api-changelog/2025/06/06/authorization/Authorization-Changed</link>
[...]
